com.r3corda.core.node.services.testing / MockKeyManagementService

# MockKeyManagementService

`class MockKeyManagementService : KeyManagementService`

### Constructors

<init> | `MockKeyManagementService(vararg initialKeys: KeyPair)`

### Properties

keys | `val keys: MutableMap<PublicKey, PrivateKey>` Returns a snapshot of the current pubkey->privkey mapping.
nextKeys | `val nextKeys: LinkedList<KeyPair>`

### Functions

freshKey | `fun freshKey(): KeyPair` Generates a new random key and adds it to the exposed map.

### Inherited Functions

toKeyPair | `open fun toKeyPair(publicKey: PublicKey): KeyPair`
toPrivate | `open fun toPrivate(publicKey: PublicKey): PrivateKey`